import Database from "better-sqlite3";
declare class DB {
    protected db: Database.Database;
    constructor(configDir: string, dbName: string);
    get(sql: string, params: Array<any>): unknown;
    all(sql: string, params: Array<any>): unknown[];
    run(sql: string, args?: any): Database.RunResult;
    upsert(table: string, data: any): Database.RunResult;
}
export default DB;
